
void Triangle()
{
	GLfloat x,y,angle;	//     
	int iColor = 1;		//   
	
	//     
	glShadeModel(GL_FLAT);
	
	//      
	glFrontFace(GL_CW);
	
	//     
	glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
	
	// / 
	if(bCull)
		glEnable(GL_CULL_FACE);
	else
		glDisable(GL_CULL_FACE);
	
	// / 
	if(bDepth)
		glEnable(GL_DEPTH_TEST);
	else
		glDisable(GL_DEPTH_TEST);
	
	// /   
	if(bOutline)
		glPolygonMode(GL_BACK,GL_LINE);
	else
		glPolygonMode(GL_BACK,GL_FILL);
	
	//     
	glPushMatrix();
	
	//    
	//    
	glRotatef(xRot, 1.0f, 0.0f, 0.0f);//    
	glRotatef(yRot, 0.0f, 1.0f, 0.0f);//   
	
	//************     ***********************************
	//   
	glBegin(GL_TRIANGLE_FAN);
		//    -     
		glVertex3f(0.0f, 0.0f, 75.0f);
	
		//     x0y
		for(angle = 0.0f; angle <= 2.0f * GL_PI; angle += GL_PI / 8.0f){
			//     
			x = 50.0f * sin(angle);
			y = 50.0f * cos(angle);
	
			//  
			if(iColor % 2)	//   
				glColor3f(0.0f, 1.0f, 0.0f);	// 
			else
				glColor3f((GLfloat)0xFF, (GLfloat)0xFF, (GLfloat)0x00); // 
	
			iColor++; //   
	
			//      x0y
			glVertex2f(x, y);
		}
	glEnd(); //  ,  
	
	//***********      *************************
	//       x0y
	//      
	glBegin(GL_TRIANGLE_FAN);
		//       z=0
		glVertex2f(0.0f, 0.0f);
	
		//     x0y
		for(angle = 0.0f; angle <= 2.0f * GL_PI; angle += GL_PI / 8.0f){
			//     
			x = 50.0f * sin(angle);
			y = 50.0f * cos(angle);
	
			//  
			if(!(iColor % 2))	//   
				glColor3f(0.0f, 0.0f, 1.0f);	// 
			else
				glColor3f(1.0f, 0.0f, 0.0f);	// 
	
			iColor++; //   
	
			//      x0y
			glVertex2f(x, y);
		}
	glEnd(); //  ,  
	
	//      
	glPopMatrix();
	glDisable(GL_CULL_FACE);
	glDisable(GL_DEPTH_TEST);
	glPolygonMode(GL_BACK,GL_FILL);
	glColor3f(0.0f, 1.0f, 0.0f);	// 
}	
