//****************************************************
//   
void SetupRC(void)
{
	glClearColor(0.0F, 0.0F, 0.0F, 1.0F);//   
	glColor3f(0.0f, 1.0f, 0.0f); //   
}
	
//**********************************************************
//   GLUT    
void ChangeSize(int width, int height)
{
	GLfloat aspectRatio;
	//       
	const GLfloat nRange = 100;
	
	//    
	if(height == 0)
		height = 1;
	
	//      
    glViewport(0, 0, width, height);
	
	//      
	glMatrixMode(GL_PROJECTION);
	glLoadIdentity();
	
	//    ( )
	// (left, right, bottom, top, near, far)
	aspectRatio = (GLfloat)width / (GLfloat)height;
    if (width <= height)
		glOrtho (-nRange, nRange, -nRange / aspectRatio,
				nRange / aspectRatio, 
				-nRange, nRange);
    else 
		glOrtho (-nRange * aspectRatio, 
				nRange * aspectRatio, 
				-nRange, nRange, 
				-nRange, nRange);
	
	//       
	glMatrixMode(GL_MODELVIEW);
	glLoadIdentity();	//    
}		

//**********************************************************
//    
#define GL_PI 3.1415f //  
#include <math.h> //   sin()  cos()
//**********************************************************
//    
//    
void Points() //   
{
	GLfloat x,y,z,angle; //     
	
	//     
	glPushMatrix();
	
	//    
	//    
	glRotatef(xRot, 1.0f, 0.0f, 0.0f);//    
	glRotatef(yRot, 0.0f, 1.0f, 0.0f);//   
	
	//     (  ),
	//      
	glBegin(GL_POINTS);
	
	//   
	z = -50.0f;
	
	//     
	for(angle = 0.0f; angle <= 2.0f * GL_PI * 3.0f; angle += 0.1f){
		//     
		x = 50.0f * sin(angle);
		y = 50.0f * cos(angle);
	
		//       z	
		glVertex3f(x, y, z);
	
		z += 0.5f; //   
	}
	
	glEnd(); //  ,    
	
	//      
	glPopMatrix();
}
	
//**********************************************************
//    
//      
void SpecialKeys(int key, int x, int y)
{
	if(key == GLUT_KEY_UP)	//  
		xRot -= 5.0f;
	
	if(key == GLUT_KEY_DOWN)//  
		xRot += 5.0f;
	
	if(key == GLUT_KEY_LEFT)//  
		yRot -= 5.0f;
	
	if(key == GLUT_KEY_RIGHT)//  
		yRot += 5.0f;
	
	//      RenderScene()
	glutPostRedisplay();
}