
#include "stdafx.h"
	
//  
void RenderScene(void);
void SetupRC(void);
void ExecuteMenu(int);
void ChangeSize(int, int);
void Points(); //   
void SpecialKeys(int key, int x, int y);//    
void PointsZ(void);
void Lines();	
void LinesW();	
void LinesStipple(); 
void Triangle();
void Prompt();
void TriangleExecuteMenu(int);
void PolygonStipple();
void Star(); 
void StarExecuteMenu(int);
	
//    
int choice = 0;

//    ,     Triangle()
bool bCull = false, bDepth = true, bOutline = false; 
	
//  
bool bEdgeFlag = true;
	
//   
void main(void)
{
	glutInitDisplayMode(GLUT_SINGLE | GLUT_RGBA);
	glutCreateWindow("Primitives");
	glutDisplayFunc(RenderScene);
	glutReshapeFunc(ChangeSize);
	SetupRC();
	
	//        
	int triangle_menu = glutCreateMenu(TriangleExecuteMenu);
	glutAddMenuEntry("   ", 0);
	glutAddMenuEntry(" /", 1);
	glutAddMenuEntry(" /", 2);
	glutAddMenuEntry("   /", 3);
	
	//     
	int star_menu = glutCreateMenu(StarExecuteMenu);
	glutAddMenuEntry("  .", 0);
	glutAddMenuEntry("  .", 1);

	//      
	glutCreateMenu(ExecuteMenu);
	glutAddSubMenu(" ", triangle_menu);//     !!!
	glutAddMenuEntry("  Points", 1);
	glutAddMenuEntry("   ", 2);
	glutAddMenuEntry(" ", 3);
	glutAddMenuEntry("  ", 4);
	glutAddMenuEntry("  ", 5);
	//  6     
	glutAddMenuEntry("  ", 7);
	glutAddSubMenu(" ", star_menu);
	
	glutAttachMenu(GLUT_RIGHT_BUTTON);
	//   
	
	glutSpecialFunc(SpecialKeys); //    
	
	glutMainLoop();
}

//****************************************************
//        
void TriangleExecuteMenu(int choice)
{
	switch(choice){
		case 0:
			bCull = false;
			bDepth = true;
			bOutline = false;
			break;
		case 1: 
			bCull = !bCull;
			break;
		case 2: 
			bDepth = !bDepth;
			break;
		case 3:
			bOutline = !bOutline;
			break;
		default: //  ! -   
			;
	}
	
	//      
	//  ,  
	//    
	::choice = 6;
		
	//   
	glutPostRedisplay();
}
	
//****************************************************
//        
void StarExecuteMenu(int choice) 
{
	switch(choice){
		case 0:
			bEdgeFlag = true;
			break;
		case 1: 
			bEdgeFlag = false;
	}
	
	//      
	//  ,  
	//    
	::choice = 8;
	
	//   
	glutPostRedisplay();
}
	
//****************************************************
//     
GLfloat xRot = 0.0f;
GLfloat yRot = 0.0f;
//****************************************************
//      
void ExecuteMenu(int choice)
{
	//     
	xRot = yRot = 0;
	
	//     
	::choice = choice; 
		
	//   
	glutPostRedisplay();
}
	
//****************************************************
//      
void RenderScene(void)
{
	//    ,
	//   glClearColor()
	glClear(GL_COLOR_BUFFER_BIT);

	//   
	//    !
	switch(::choice){
		case 1:
			Points();
			break;
		case 2:
			PointsZ();
			break;
		case 3:
			Lines();
			break;
		case 4:
			LinesW();
			break;
		case 5:
			LinesStipple();
			break;
		case 6:
			Triangle();
			break;
		case 7:
			PolygonStipple();
			break;
		case 8: 
			Star();
			break;
		default:
			Prompt();
	}
	
	//  ()  
	glFlush();
}

#include "Points.h"		//   
#include "PointsZ.h"	//       
#include "Lines.h"		//  	
#include "LinesW.h"	//    
#include "LinesStipple.h" //    
#include "triangle.h" 
#include "PolygonStipple.h"	//      
#include "Prompt.h" 
#include "Star.h"		//    
